play.test

## Class PlayJUnitRunner

- java.lang.Object
- - org.junit.runner.Runner
  - - play.test.PlayJUnitRunner

All Implemented Interfaces:
  org.junit.runner.Describable, org.junit.runner.manipulation.Filterable

    public class PlayJUnitRunner
    extends org.junit.runner.Runner
    implements org.junit.runner.manipulation.Filterable

### Nested Class Summary

Nested Classes
`static class` `PlayJUnitRunner.StartPlay`

### Field Summary

Fields
`static java.lang.String` `invocationType`
`static boolean` `useCustomRunner`

### Constructor Summary

Constructors
Constructor and Description
`PlayJUnitRunner(java.lang.Class testClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(org.junit.runner.manipulation.Filter toFilter)`
`org.junit.runner.Description` `getDescription()`
`void` `run(org.junit.runner.notification.RunNotifier notifier)`

### Methods inherited from class org.junit.runner.Runner

`testCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### invocationType

    public static final java.lang.String invocationType

See Also:
  Constant Field Values

#### useCustomRunner

    public static boolean useCustomRunner

### Constructor Detail

#### PlayJUnitRunner

    public PlayJUnitRunner(java.lang.Class testClass)
                    throws java.lang.ClassNotFoundException,
                           org.junit.runners.model.InitializationError

Throws:
  `java.lang.ClassNotFoundException`
  `org.junit.runners.model.InitializationError`

### Method Detail

#### getDescription

    public org.junit.runner.Description getDescription()

Specified by:
  `getDescription` in interface `org.junit.runner.Describable`
Specified by:
  `getDescription` in class `org.junit.runner.Runner`

#### run

    public void run(org.junit.runner.notification.RunNotifier notifier)

Specified by:
  `run` in class `org.junit.runner.Runner`

#### filter

    public void filter(org.junit.runner.manipulation.Filter toFilter)
                throws org.junit.runner.manipulation.NoTestsRemainException

Specified by:
  `filter` in interface `org.junit.runner.manipulation.Filterable`
Throws:
  `org.junit.runner.manipulation.NoTestsRemainException`